> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kua.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Generations



## OpenAPI

````yaml weaver GET /generations
openapi: 3.0.2
info:
  title: Kua.ai Weaver API
  version: '1.0'
servers:
  - url: https://api.kua.ai/weaver/api/v2
security: []
paths:
  /generations:
    get:
      summary: List Generations
      operationId: ListGenerations
      parameters:
        - in: query
          name: applicationId
          required: false
          schema:
            type: string
        - in: query
          name: status
          schema:
            $ref: '#/components/schemas/GenerationStatus'
        - in: query
          name: nextToken
          required: false
          schema:
            type: string
        - in: query
          name: limit
          required: false
          schema:
            default: 10
            minimum: 1
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenerationSummaryList'
          description: Successful Response
components:
  schemas:
    GenerationStatus:
      enum:
        - RUNNING
        - SUCCESS
        - FAILED
      type: string
    GenerationSummaryList:
      type: object
      properties:
        generations:
          type: array
          items:
            $ref: '#/components/schemas/GenerationSummary'
        nextToken:
          type: string
    GenerationSummary:
      type: object
      properties:
        applicationId:
          type: string
        applicationName:
          type: string
        createdAt:
          type: integer
        id:
          type: string
        status:
          $ref: '#/components/schemas/GenerationStatus'
        title:
          type: string
      required:
        - id
        - applicationId
        - title
        - status
        - createdAt

````